Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGComputedStyle

    java.lang.Object
      org.apache.batik.css.dom.CSSOMComputedStyle
          org.apache.batik.css.dom.CSSOMSVGComputedStyle

All Implemented Interfaces:
  CSSStyleDeclaration

    public class CSSOMSVGComputedStyle

extends CSSOMComputedStyle

This class represents the computed style of an SVG element.

Nested Class Summary
`protected class` | `CSSOMSVGComputedStyle.ComputedCSSColorValue` To manage a computed color CSSValue.
`class` | `CSSOMSVGComputedStyle.ComputedCSSPaintValue` To manage a computed paint CSSValue.

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMComputedStyle
`CSSOMComputedStyle.ComputedCSSValue`

Field Summary

Fields inherited from class org.apache.batik.css.dom.CSSOMComputedStyle
`cssEngine, element, pseudoElement, values`

Constructor Summary
`CSSOMSVGComputedStyle(CSSEngine e, CSSStylableElement elt, String pseudoElt)` Creates a new computed style.

Method Summary
`protected CSSValue` | `createCSSValue(int idx)` Creates a CSSValue to manage the value at the given index.

Methods inherited from class org.apache.batik.css.dom.CSSOMComputedStyle
`getCssText, getLength, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, item, removeProperty, setCssText, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSOMSVGComputedStyle

    public CSSOMSVGComputedStyle(CSSEngine e,
                                 CSSStylableElement elt,
                                 String pseudoElt)

  Creates a new computed style.

Method Detail

### createCSSValue

    protected CSSValue createCSSValue(int idx)

  Creates a CSSValue to manage the value at the given index.

  Overrides:
    `createCSSValue` in class `CSSOMComputedStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.